Bug 32098 - Consistent classes for primary buttons: Clubs and rotating collections
Summary: Consistent classes for primary buttons: Clubs and rotating collections
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords: rel_22_11_candidate
Depends on:
Blocks: 32067
  Show dependency treegraph
 
Reported: 2022-11-03 15:05 UTC by Owen Leonard
Modified: 2022-11-14 12:41 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00


Attachments
Bug 32098: Consistent classes for primary buttons: Clubs and rotating collections (5.20 KB, patch)
2022-11-03 15:11 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 32098: Consistent classes for primary buttons: Clubs and rotating collections (5.25 KB, patch)
2022-11-10 18:23 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 32098: Consistent classes for primary buttons: Clubs and rotating collections (5.32 KB, patch)
2022-11-14 12:35 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2022-11-03 15:05:06 UTC
As part of Bug 32067 - [OMNIBUS] Consistent classes for submit and/or primary buttons:

This patch will update buttons in clubs and rotating collections templates so that buttons which are currently styled as primary buttons will have the the "btn btn-primary" classes.

In some places, the classes have been added to buttons which were not input[type='submit'] but which should be styled as primary.
Comment 1 Owen Leonard 2022-11-03 15:11:29 UTC
Created attachment 143126 [details] [review]
Bug 32098: Consistent classes for primary buttons: Clubs and rotating collections

This patch makes changes the button markup in clubs and rotating
collections templates so that all submit buttons and any buttons that
should should be styled as primary buttons have the Bootstrap class "btn
btn-primary."

To test, apply the patch and view patron clubs and rotating collections
pages to confirm that everything looks correct. In most cases there are
no visible changes.
Comment 2 Katrin Fischer 2022-11-10 18:23:46 UTC
Created attachment 143700 [details] [review]
Bug 32098: Consistent classes for primary buttons: Clubs and rotating collections

This patch makes changes the button markup in clubs and rotating
collections templates so that all submit buttons and any buttons that
should should be styled as primary buttons have the Bootstrap class "btn
btn-primary."

To test, apply the patch and view patron clubs and rotating collections
pages to confirm that everything looks correct. In most cases there are
no visible changes.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 3 Tomás Cohen Arazi 2022-11-14 12:35:47 UTC
Created attachment 143825 [details] [review]
Bug 32098: Consistent classes for primary buttons: Clubs and rotating collections

This patch makes changes the button markup in clubs and rotating
collections templates so that all submit buttons and any buttons that
should should be styled as primary buttons have the Bootstrap class "btn
btn-primary."

To test, apply the patch and view patron clubs and rotating collections
pages to confirm that everything looks correct. In most cases there are
no visible changes.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 4 Tomás Cohen Arazi 2022-11-14 12:41:06 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!